<?php 
//$_SESSION["usuario_id"] = 1;
//$_SESSION["usuario_name"] = "Wagner";
date_default_timezone_set('America/Sao_Paulo');
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
//error_reporting(E_ALL);
error_reporting(E_ERROR | E_PARSE);
ini_set('max_input_vars','999999' );
//echo $_SERVER['REQUEST_URI'];
include("sessao.php");
class Config
{
	//essa classe obtem o doretório raiz do projeto
	private $_diretorio_raiz ;	
	function __construct()
	{
		$this->_diretorio_raiz = $_SERVER['DOCUMENT_ROOT'];
		$this->_diretorio_raiz = $this->_diretorio_raiz."/bi";//.$this->diretorio_projeto();
	}	
	
	public  function diretorio_raiz()
	{
		$dir = $this->_diretorio_raiz;
		return $dir;
	}
	
	private function diretorio_projeto()
	{
		$dir_atual = getcwd(); //retorno o diretório em uso
		$dir_atual = str_replace(str_replace("/","\\",$this->_diretorio_raiz), "", $dir_atual);
		$dir_atual = explode("\\", $dir_atual)[1];
		return $dir_atual;		
	}	
}
if (!function_exists('str_contains')) {
    function str_contains( $texto,  $contem): bool
    {
        //return '' === $needle || false !== strpos($haystack, $needle);
		if(count(explode($contem,$texto)) > 1)
		{
			return true;
		}
		return false;
    }
}